Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class WebBeanImpl

`java.lang.Object
oracle.jdeveloper.html.WebBeanImpl`

All Implemented Interfaces:
  WebBean

Direct Known Subclasses:
  DataWebBeanImpl, JSPApplicationRegistry, WebBeanImpl

public class WebBeanImpl
extends java.lang.Object
implements WebBean

Implements the base methods for a Web Bean.

Field Summary
`protected javax.servlet.ServletContext` | `application`
`protected boolean` | `bUsedInTag`
`protected java.io.PrintWriter` | `out`
`protected javax.servlet.jsp.PageContext` | `page`
`protected javax.servlet.http.HttpServletRequest` | `request`
`protected javax.servlet.http.HttpServletResponse` | `response`
`protected javax.servlet.http.HttpSession` | `session`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`WebBeanImpl()`

Method Summary
`protected static void` | `generateScriptSrc(java.lang.StringBuffer buff, java.lang.String libName)`
`java.lang.String` | `getCookie(java.lang.String sName)` Internal: Applications should not use this method.
`java.io.PrintWriter` | `getOut()`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`static java.lang.Object` | `getRequestVariable(javax.servlet.jsp.PageContext pageCtx, javax.servlet.http.HttpServletRequest req, java.lang.String sName)`
`java.lang.Object` | `getRequestVariable(java.lang.String sName)`
`java.lang.String` | `getUniqueName(java.lang.String rootName)`
`void` | `initBeanForJS(int libFlag)`
`void` | `initBeanForJS(int libFlag, java.lang.String NLSFormat)`
`static java.lang.String` | `initBeanForJS(javax.servlet.jsp.PageContext pageCtx, javax.servlet.http.HttpServletRequest req, int libFlag, java.lang.String NLSFormat)`
`void` | `initialize(javax.servlet.jsp.PageContext page)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.jsp.JspWriter out)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `initialize(javax.servlet.ServletContext application, javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.io.PrintWriter out)` Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
`void` | `internalInitialize()` Internal initialize.
`void` | `render()` Renders the Web Bean's contents to the output stream.
`void` | `render(java.io.PrintWriter outp)` Renders the Web Bean's contents to the specified PrintWriter.
`static void` | `setRequestVariable(javax.servlet.jsp.PageContext pageCtx, javax.servlet.http.HttpServletRequest req, java.lang.String sName, java.lang.Object obj)`
`void` | `setRequestVariable(java.lang.String sName, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected javax.servlet.http.HttpSession session

### request

    protected javax.servlet.http.HttpServletRequest request

### response

    protected javax.servlet.http.HttpServletResponse response

### out

    protected java.io.PrintWriter out

### application

    protected javax.servlet.ServletContext application

### page

    protected javax.servlet.jsp.PageContext page

### bUsedInTag

    protected boolean bUsedInTag

Constructor Detail

### WebBeanImpl

    public WebBeanImpl()

Method Detail

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           java.io.PrintWriter out)
                    throws java.lang.Exception

  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out. This implementation of `initialize()` specifies a `PrintWriter` rendering object. This version of `initialize()` is designed for use in servlets.
  Specified by:
    `initialize` in interface `WebBean`
  Parameters:
    `application` - the JSP page's ServletContext.
    `session` - the JSP page's HttpSession.
    `request` - the JSP page's HttpServletRequest.
    `response` - the JSP page's HttpServletResponse.
    `out` - the PrintWriter to render to.
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(javax.servlet.jsp.PageContext page)
                    throws java.lang.Exception

  Description copied from interface: `WebBean`
  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out.
  Specified by:
    `initialize` in interface `WebBean`
  Parameters:
    `page` - the JSP page's ServletContext.
  Throws:
    `java.lang.Exception`

### initialize

    public void initialize(javax.servlet.ServletContext application,
                           javax.servlet.http.HttpSession session,
                           javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response,
                           javax.servlet.jsp.JspWriter out)
                    throws java.lang.Exception

  Initializes this Web Bean object to access the important objects of the JSP: application, session, request, response, and out. This implementation of `initialize()` specifies a `JspWriter` rendering object. This version of `initialize()` is designed for use in JSP pages.
  Parameters:
    `application` - the JSP page's ServletContext
    `session` - the JSP page's HttpSession
    `request` - the JSP page's HttpServletRequest
    `response` - the JSP page's HttpServletResponse
    `out` - the JspWriter to render to
  Throws:
    `java.lang.Exception`

### internalInitialize

    public void internalInitialize()
                            throws java.lang.Exception

  Internal initialize. This method should be overriden by any WebBean needing to initialize some internal data after all the base class member have been initialize properly.
  Specified by:
    `internalInitialize` in interface `WebBean`
  Throws:
    `java.lang.Exception`

### getCookie

    public java.lang.String getCookie(java.lang.String sName)

  Internal: Applications should not use this method.

  Returns the name of the cookie associated with the JSP page's `HttpServletRequest`.

  Parameters:
    `sName` - name of the cookie

### getOut

    public java.io.PrintWriter getOut()

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

### getRequestVariable

    public java.lang.Object getRequestVariable(java.lang.String sName)

### getRequestVariable

    public static java.lang.Object getRequestVariable(javax.servlet.jsp.PageContext pageCtx,
                                                      javax.servlet.http.HttpServletRequest req,
                                                      java.lang.String sName)

### setRequestVariable

    public void setRequestVariable(java.lang.String sName,
                                   java.lang.Object obj)

### setRequestVariable

    public static void setRequestVariable(javax.servlet.jsp.PageContext pageCtx,
                                          javax.servlet.http.HttpServletRequest req,
                                          java.lang.String sName,
                                          java.lang.Object obj)

### initBeanForJS

    public void initBeanForJS(int libFlag)

### initBeanForJS

    public void initBeanForJS(int libFlag,
                              java.lang.String NLSFormat)

### initBeanForJS

    public static java.lang.String initBeanForJS(javax.servlet.jsp.PageContext pageCtx,
                                                 javax.servlet.http.HttpServletRequest req,
                                                 int libFlag,
                                                 java.lang.String NLSFormat)

### generateScriptSrc

    protected static void generateScriptSrc(java.lang.StringBuffer buff,
                                            java.lang.String libName)

### getUniqueName

    public java.lang.String getUniqueName(java.lang.String rootName)

### render

    public void render()
                throws java.lang.Exception

  Renders the Web Bean's contents to the output stream.
  Specified by:
    `render` in interface `WebBean`
  Throws:
    `java.lang.Exception`

### render

    public void render(java.io.PrintWriter outp)

  Renders the Web Bean's contents to the specified PrintWriter.
  Specified by:
    `render` in interface `WebBean`
  Parameters:
    `outp` - the PrintWriter to render to.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.